import request from '@/utils/request'
const service_name = "oil-site"
const group_name = "oilSiteOrderInfo"
const Img_name = 'oil-interfaces'
export default {
	// 下单
	createOrder(data) {
		return request({
			url: `/oil-site/oilSiteOrderInfo/createH5Order`,
			method: 'post',
			data: data
		})
	}, 
	// 主动支付
	payOrder(data) {
		return request({
			url: `/${service_name}/${group_name}/payOrder`,
			method: 'post',
			data: data
		})
	},
	aggregatePay(data) {
		return request({
			url: `/${service_name}/${group_name}/aggregatePay`,
			method: 'post',
			data: data
		})
	},
	getOrderInfoByPage(data) {
		return request({
			url: `/${service_name}/${group_name}/getOrderInfoByPage`,
			method: 'post',
			data: data
		})
	},
	getOrderPayInfo(id) {
		return request({
			url: `/${service_name}/${group_name}/getOrderPayInfoH5/${id}`,
			method: 'get'
		})
	},
	cancelOrder(id) {
		return request({
			url: `/${service_name}/${group_name}/cancelOrder/${id}`,
			method: 'get'
		})
	},
	delOrder(id) {
		return request({
			url: `/${service_name}/${group_name}/delOrder/${id}`,
			method: 'get'
		})
	},
	selOrder(id) {
		return request({
			url: `/${service_name}/${group_name}/selOrder/${id}`,
			method: 'get'
		})
	},
	//尿素站订单接口
	findXoiUreaPage(data) {
		return request({
			url: `/oil-finance/xoilUreaOrder/findXoiUreaPage`,
			method: 'post',
			data: data 
		})
	},
	findOneByOrderId(id) {
		return request({
			url: `/oil-finance/xoilUreaOrder/findOneByOrderId?orderId=${id}`,
			method: 'get'
		})
	},
	queryBarrelOrderDetails(id) {
		return request({
			url: `/oil-finance/xoilUreaOrderRelation/queryBarrelOrderDetails?orderId=${id}`,
			method: 'get'
		})
	},
}
