import request from '@/utils/request'
const service_name = "oil-site"
const group_name = "oilSiteAppInfo"
const order_name = 'oilSiteOrderInfo'
export default {
	getOrderDiscountInfo(data){
		return request({
			url: `/${service_name}/${order_name}/getOrderDiscountInfo`,
			method:'post',
			data:data
		}) 
	},
	plateNumberRecognition(data) { //车牌图文识别
		return request({
			url: `/${service_name}/oilSiteAppInfo/plateNumberRecognition`,
			method: 'post'  ,
			data:data
		})
	}, 
	initGeoHash(){
		return request({
			url: `/oil-site/oilSiteInfo/initGeoHash/initGeoHash`,
			method: 'get',
			timeout:50000
		})
	}, 
	getScanRes (data) {
	  return request({
	    url: `/${service_name}/${group_name}/scanCode`,
	    method: 'post',
		   data:data
	  })
	},
	// 未登录查询油站
	readOnlySites(data) {
		console.log(`/${service_name}/${group_name}/findNotLoginSiteInfoByPage`,'****')
		return request({
			url: `/${service_name}/${group_name}/findNotLoginSiteInfoByPage`,
			method: 'post',
			data: data
		})
	},
	getSiteList (data) {
		// debugger
	  return request({
	    url: `/${service_name}/${group_name}/findSiteInfoByPage`,
	    method: 'post',
		   data:data
	  })
	},
	getSiteDetails (data) {
	  return request({
	    url: `/${service_name}/${group_name}/getSiteDetails`,
	    method: 'post',
		   data:data
	  })
	},
	getCheckInfo (data) {
	  return request({
	    url: `/${service_name}/${group_name}/getCheckInfo`,
	    method: 'get',
		   data:data
	  })
	},
	getUserAuthInfo (data) {
	  return request({
	    url: `/${service_name}/${group_name}/getUserAuthInfo`,
	    method: 'get',
		   data:data
	  })
	},
	// 车辆认证
	auth(data) {
	  return request({
	    url: `/${service_name}/${group_name}/auth`,
	    method: 'post',
		   data:data
	  })
	},
	//下单 -- 获取最新油站价格、司机、加油员相关信息 
	getNewSitePrice (channelId) {
	  return request({
	    url: `/${service_name}/${group_name}/getNewSitePrice/${channelId} `,
	    method: 'get'
	  })
	},// 获取订单核销码
	getOrderQrCode(id) {
		return request({
			url: `/${service_name}/${order_name}/getOrderQrCode/${id} `,
			method: 'get',
			white:true,
		})
	},
	wholeStationMap(data) {
		return request({
			url: `/oil-site/oilSiteInfo/wholeStationMap`,
			method: 'post',
			data:data
		})
	},
	//根据地址获取详细地址信息
	 getGeoByAddress(address) {
	  return request({
	   url: `/oil-interfaces/gaode/getGeoByAddress`,
	   method: 'get',
	   params: {
	    address
	   }
	  })
	 },
	 // 获取指定经纬度数组范围内的油站
	 getByPoints(points) {
	  return request({
	   url: `/${service_name}/oilSiteInfo/getByPoints`,
	   method: 'post',
	   data: points,
	  })
	 },
	 // 路径规划
	 getSiteByGeoHashNew(points) {
	  return request({
	   url: `/${service_name}/oilSiteInfo/getSiteByGeoHashNewA`,
	   method: 'post',
	   data: points,
	  })
	 },
	 getSiteByGeoHash(points) {
	  return request({
	   url: `/${service_name}/oilSiteInfo/getSiteByGeoHash`,
	   method: 'post',
	   data: points,
	  })
	 },
	 // 获取菜单
	 getConditionMenu() {
	  return request({
	   url: `/${service_name}/oilSiteInfo/getConditionMenu`,
	   method: 'get'
	   })
	  },
	 //获取附近十条油站
	 getByNearPoints(lon,lat) {
	  return request({
	   url: `/${service_name}/oilSiteInfo/getByNearPoints`,
	   method: 'get',
	   params: {
	    lon,
	    lat
	   }
	  })
	 },
	 getCompanyInfo(data){
		return request({
			url: `/oil-identity/authorization/getCompanyInfo`,
			method: 'post',
			data:data
		   })
	 },
	 //根据经纬度获取详情坐标
	 getInfoBylAndL(longitude,Latitude) {
	  return request({
	   url: `/oil-interfaces/gaode/getInfoBylAndL`,
	   method: 'get',
	   params: {
	    longitude,
	    Latitude
	   }
	  })
	 },
}
