import Vue from 'vue';
import App from './App.vue';
import router from './router';
import store from './store';
import Vant from 'vant';
import 'vant/lib/index.css';
import 'lib-flexible';
import './permission';
import { createPinia, PiniaVuePlugin } from 'pinia';
import "@/assets/iconfont/iconfont.css";
const pinia = createPinia()
Vue.use(Vant).use(PiniaVuePlugin);
Vue.config.productionTip = false
Vue.prototype.copyFn = function(e){
      if (navigator.clipboard && window.isSecureContext) {
        navigator.clipboard.writeText(e.value);
        this.$toast('复制成功');
      } else {
        let input = document.createElement('input');
        input.setAttribute('value', e.value);
        document.body.appendChild(input);
        input.select();
        try {
          var copyed = document.execCommand("copy");
          if (copyed) {
            document.body.removeChild(input);
            this.$toast('复制成功');
          }
        } catch {
          this.$toast("复制失败，请检查浏览器兼容");
        }

      }
}
Vue.prototype.moneyIntercept  = function(value){
  if (value != 'xxx.x') {
    return String(value).split('.')[1]&&String(value).split('.')[1].length>2? Number(`${String(value).split('.')[0]}.${String(value).split('.')[1].substring(0,1)}${ Number(String(value).split('.')[1].substring(1,2)) + 1}`)  :Number(value).toFixed(2);
  } else {
    return Number(value).toFixed(2)
  }
}
new Vue({
  pinia,  
  router,
  store,
  render: h => h(App)
}).$mount('#app')
