import router from './router';
import useStore from './store/piniaIndex';
import { addressResolution } from '@/utils/addressResolution';
import { getToken, setToken, removeToken, setUsername, setPassword, setChecked, removeChecked, removeUsername, removePassword } from '@/utils/auth'
import { Notify } from 'vant';


router.beforeEach(async (to, from, next) => {
    //pinia挂载顺序问题异步处理路由拦截
    setTimeout(() => {
        let store = useStore(); //获取状态
        let token = getToken(); //获取cookie
        let data = addressResolution(window.location.href);//获取当前地址
        console.log(data,'当前地址参数解析')
        //如果有token且token不相同 更新token
        if( token && token!==data?.accessToken) {
            if (typeof data == 'object' && data?.accessToken) {
                console.log(token,'检测到token更新')
                store.login(data);
                token = getToken();
            }
        }
        //刷新配置
        if(token&&!store.user){
            store.getUser()
        }
        //检测到没有token直接登录
        if (!token) {
            console.log( typeof data, '没有token')
            if (typeof data == 'object' && data?.accessToken) {
                store.login(data)
            }
        } 
        //拦截 如果不是去首页 还没有token直接去首页
        if (to.path !== '/' && !token) {
            Notify('请检查登陆状态')
            next({path:'/'})
        } else {
            next()
        }
    }, 0)
})

router.afterEach(() => {

})

