import Vue from 'vue'
import VueRouter from 'vue-router'

Vue.use(VueRouter)

const routes = [
  {
    meta: { title: '首页', index: 0,closeNavBar:true },
    path: '/',
    name: 'home',
    component: () => import('../views/HomeView.vue')
  },
  {
    meta: { title: '订单列表', index: 0.1 },
    path: '/personalOrderList',
    name: 'personalOrderList',
    component: () => import('../views/personalOrderList/index.vue')
  },
  {
    meta: { title: '油站详情', index: 1 },
    path: '/orderDetails',
    name: 'orderDetails',
    component: () => import('../views/orderDetails/orderDetailsIndex.vue'),
  },
  {
    meta: { title: '油站详情', index: 2, keepAlive: true },
    path: '/nextOrderDetails',
    name: 'nextOrderDetails',
    component: () => import('../views/orderDetails/nextOrderDetails.vue'),
  },
  {
    meta: { title: '星油收银台', index: 3 },
    path: '/cashier',
    name:'cashier',
    component: () => import('../views/cashier/cashierIndex.vue'),
  },
  {
    meta: { title: '订单支付结果', index: 4 },
    path: '/paymentl',
    name:'paymentl',
    component: () => import('../views/cashier/paymentl.vue'),
  }
]

const router = new VueRouter({    
  mode: 'history',
  base: process.env.BASE_URL,
  routes
})
export default router
